<bugID>893533<Summary>No indication when mixed passive content is blocked: insecure images correctly don't load (security.mixed_content.block_display_content is true) but the 'Mixed Content' icon is not displayed</Summary><Description>User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:22.0) Gecko/20100101 Firefox/22.0 (Beta/Release)
Build ID: 20130618035212

Steps to reproduce:

0. Set your Firefox 22.0 as follows:
- security.warn_viewing_mixed  true
- security.mixed_content.block_display_content  true
- security.mixed_content.block_active_content  true
- security.warn_viewing_mixed.show_once  false	 (this is probably a deprecated option but i still have it there)

1. Visit non-HTTPS version of this site at http://www.alza.cz (it's the biggest e-shop in Czech republic)

2. Visit the same site again but this time the HTTPS version: https://www.alza.cz




Actual results:

The images in the central part of the webpage correctly disappeared in the HTTPS version because they are served from non-HTTPS URLs.(and security.mixed_content.block_display_content is true).

The problem is that the 'Mixed Content' icon was not shown next to the padlock icon (even though it is normally shown for me in such cases on other sites).


Expected results:

The 'Mixed Content' icon should have been shown next to the padlock icon.</Description></bugID>